Skip to main content

Update Applicant: RealPage

PUThttps://api.propexo.com/v1/applicants/realpage/:id
InterfaceMethod
Resident Service ODEUpdateOccupant

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The Propexo unique identifier for the applicant

Request​

This endpoint expects an object.

    last_namestring

    The last name associated with the applicant

    Possible values: <= 30 characters

    first_namestring

    The first name associated with the applicant

    Possible values: <= 30 characters

    middle_namestring

    The middle name associated with the applicant

    Possible values: <= 30 characters

    email_1string<email>

    The primary email address associated with the applicant

    address_1string

    The first address line associated with the applicant

    address_2string

    The second address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    countrystring

    The country associated with the applicant

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    idstringrequired

    The Propexo unique identifier for the applicant

    last_namestring

    The last name associated with the applicant

    Possible values: <= 30 characters

    first_namestring

    The first name associated with the applicant

    Possible values: <= 30 characters

    middle_namestring

    The middle name associated with the applicant

    Possible values: <= 30 characters

    email_1string<email>

    The primary email address associated with the applicant

    address_1string

    The first address line associated with the applicant

    address_2string

    The second address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    countrystring

    The country associated with the applicant

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/applicants/realpage/:id
curl -X PUT https://api.propexo.com/v1/applicants/realpage/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"email_1": "[email protected]",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"id": "string",
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"email_1": "[email protected]",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}
}